## net.sf.saxon.expr
Class EagerLetExpression

    java.lang.Object
      |
      +--net.sf.saxon.expr.ComputedExpression
            |
            +--net.sf.saxon.expr.Assignation
                  |
                  +--net.sf.saxon.expr.LetExpression
                        |
                        +--net.sf.saxon.expr.EagerLetExpression

All Implemented Interfaces:
  Binding, Container, Expression, InstructionInfoProvider, java.io.Serializable, javax.xml.transform.SourceLocator

public class EagerLetExpression
extends LetExpression

An EagerLetExpression is the same as a LetExpression except that the variable is evaluated using eager evaluation rather than lazy evaluation. This is used when performing diagnostic tracing.

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.expr.Assignation
`action, declaration, nameCode, sequence, slotNumber, variableName`

Fields inherited from class net.sf.saxon.expr.ComputedExpression
`locationId, staticProperties`

Fields inherited from interface net.sf.saxon.expr.Expression
`EVALUATE_METHOD, ITERATE_METHOD, PROCESS_METHOD`

Constructor Summary
`EagerLetExpression()`

Method Summary
`protected Value` `eval(XPathContext context)` Evaluate the variable.

Methods inherited from class net.sf.saxon.expr.LetExpression
`analyze, computeCardinality, computeSpecialProperties, display, evaluateItem, getItemType, iterate, markTailFunctionCalls, process, promote`

Methods inherited from class net.sf.saxon.expr.Assignation
`evaluateVariable, getVariableFingerprint, getVariableName, getVariableNameCode, iterateSubExpressions, setAction, setSequence, setSlotNumber, setVariableDeclaration, simplify`

Methods inherited from class net.sf.saxon.expr.ComputedExpression

`adoptChildExpression, computeDependencies, computeStaticProperties, dynamicError, dynamicError, effectiveBooleanValue, evaluateAsString, getCardinality, getColumnNumber, getConstructType, getDependencies, getExecutable, getImplementationMethod, getInstructionInfo, getIntrinsicDependencies, getLineNumber, getLocationId, getParentExpression, getPublicId, getSpecialProperties, getSystemId, resetStaticProperties, setLocationId, setParentExpression, typeError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EagerLetExpression

    public EagerLetExpression()

Method Detail

### eval

    protected Value eval(XPathContext context)
                  throws XPathException

  Evaluate the variable.

  Overrides:
    `eval` in class `LetExpression`
    `XPathException`